Index: uspace/srv/net/structures/packet/packet_client.c
===================================================================
--- uspace/srv/net/structures/packet/packet_client.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/structures/packet/packet_client.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -48,9 +48,13 @@
 #include "packet_client.h"
 
-int packet_copy_data( packet_t packet, const void * data, size_t length ){
-	if( ! packet_is_valid( packet )) return EINVAL;
-	if( packet->data_start + length >= packet->length ) return ENOMEM;
-	memcpy(( void * ) packet + packet->data_start, data, length );
-	if( packet->data_start + length > packet->data_end ){
+int packet_copy_data(packet_t packet, const void * data, size_t length){
+	if(! packet_is_valid(packet)){
+		return EINVAL;
+	}
+	if(packet->data_start + length >= packet->length){
+		return ENOMEM;
+	}
+	memcpy((void *) packet + packet->data_start, data, length);
+	if(packet->data_start + length > packet->data_end){
 		packet->data_end = packet->data_start + length;
 	}
@@ -58,19 +62,27 @@
 }
 
-void * packet_prefix( packet_t packet, size_t length ){
-	if(( ! packet_is_valid( packet )) || ( packet->data_start - sizeof( struct packet ) - 2 * ( packet->dest_addr - packet->src_addr ) < length )) return NULL;
+void * packet_prefix(packet_t packet, size_t length){
+	if((! packet_is_valid(packet)) || (packet->data_start - sizeof(struct packet) - 2 * (packet->dest_addr - packet->src_addr) < length)){
+		return NULL;
+	}
 	packet->data_start -= length;
-	return ( void * ) packet + packet->data_start;
+	return (void *) packet + packet->data_start;
 }
 
-void * packet_suffix( packet_t packet, size_t length ){
-	if(( ! packet_is_valid( packet )) || ( packet->data_end + length >= packet->length )) return NULL;
+void * packet_suffix(packet_t packet, size_t length){
+	if((! packet_is_valid(packet)) || (packet->data_end + length >= packet->length)){
+		return NULL;
+	}
 	packet->data_end += length;
-	return ( void * ) packet + packet->data_end - length;
+	return (void *) packet + packet->data_end - length;
 }
 
-int packet_trim( packet_t packet, size_t prefix, size_t suffix ){
-	if( ! packet_is_valid( packet )) return EINVAL;
-	if( prefix + suffix > PACKET_DATA_LENGTH( packet )) return ENOMEM;
+int packet_trim(packet_t packet, size_t prefix, size_t suffix){
+	if(! packet_is_valid(packet)){
+		return EINVAL;
+	}
+	if(prefix + suffix > PACKET_DATA_LENGTH(packet)){
+		return ENOMEM;
+	}
 	packet->data_start += prefix;
 	packet->data_end -= suffix;
@@ -78,71 +90,95 @@
 }
 
-packet_id_t packet_get_id( const packet_t packet ){
-	return packet_is_valid( packet ) ? packet->packet_id : 0;
+packet_id_t packet_get_id(const packet_t packet){
+	return packet_is_valid(packet) ? packet->packet_id : 0;
 }
 
-int packet_get_addr( const packet_t packet, uint8_t ** src, uint8_t ** dest ){
-	if( ! packet_is_valid( packet )) return EINVAL;
-	if( ! packet->addr_len ) return 0;
-	if( src ) * src = ( void * ) packet + packet->src_addr;
-	if( dest ) * dest = ( void * ) packet + packet->dest_addr;
+int packet_get_addr(const packet_t packet, uint8_t ** src, uint8_t ** dest){
+	if(! packet_is_valid(packet)){
+		return EINVAL;
+	}
+	if(! packet->addr_len){
+		return 0;
+	}
+	if(src){
+		*src = (void *) packet + packet->src_addr;
+	}
+	if(dest){
+		*dest = (void *) packet + packet->dest_addr;
+	}
 	return packet->addr_len;
 }
 
-size_t packet_get_data_length( const packet_t packet ){
-	if( ! packet_is_valid( packet )) return 0;
-	return PACKET_DATA_LENGTH( packet );
+size_t packet_get_data_length(const packet_t packet){
+	if(! packet_is_valid(packet)){
+		return 0;
+	}
+	return PACKET_DATA_LENGTH(packet);
 }
 
-void * packet_get_data( const packet_t packet ){
-	if( ! packet_is_valid( packet )) return NULL;
-	return ( void * ) packet + packet->data_start;
+void * packet_get_data(const packet_t packet){
+	if(! packet_is_valid(packet)){
+		return NULL;
+	}
+	return (void *) packet + packet->data_start;
 }
 
-int packet_set_addr( packet_t packet, const uint8_t * src, const uint8_t * dest, size_t addr_len ){
-	size_t	padding;
-	size_t	allocated;
+int packet_set_addr(packet_t packet, const uint8_t * src, const uint8_t * dest, size_t addr_len){
+	size_t padding;
+	size_t allocated;
 
-	if( ! packet_is_valid( packet )) return EINVAL;
-	allocated = PACKET_MAX_ADDRESS_LENGTH( packet );
-	if( allocated < addr_len ) return ENOMEM;
+	if(! packet_is_valid(packet)){
+		return EINVAL;
+	}
+	allocated = PACKET_MAX_ADDRESS_LENGTH(packet);
+	if(allocated < addr_len){
+		return ENOMEM;
+	}
 	padding = allocated - addr_len;
 	packet->addr_len = addr_len;
-	if( src ){
-		memcpy(( void * ) packet + packet->src_addr, src, addr_len );
-		if( padding ) bzero(( void * ) packet + packet->src_addr + addr_len, padding );
+	if(src){
+		memcpy((void *) packet + packet->src_addr, src, addr_len);
+		if(padding){
+			bzero((void *) packet + packet->src_addr + addr_len, padding);
+		}
 	}else{
-		bzero(( void * ) packet + packet->src_addr, allocated );
+		bzero((void *) packet + packet->src_addr, allocated);
 	}
-	if( dest ){
-		memcpy(( void * ) packet + packet->dest_addr, dest, addr_len );
-		if( padding ) bzero(( void * ) packet + packet->dest_addr + addr_len, padding );
+	if(dest){
+		memcpy((void *) packet + packet->dest_addr, dest, addr_len);
+		if(padding){
+			bzero((void *) packet + packet->dest_addr + addr_len, padding);
+		}
 	}else{
-		bzero(( void * ) packet + packet->dest_addr, allocated );
+		bzero((void *) packet + packet->dest_addr, allocated);
 	}
 	return EOK;
 }
 
-packet_t packet_get_copy( int phone, packet_t packet ){
-	packet_t	copy;
-	uint8_t *	src;
-	uint8_t *	dest;
-	size_t		addrlen;
+packet_t packet_get_copy(int phone, packet_t packet){
+	packet_t copy;
+	uint8_t * src;
+	uint8_t * dest;
+	size_t addrlen;
 
-	if( ! packet_is_valid( packet )) return NULL;
+	if(! packet_is_valid(packet)){
+		return NULL;
+	}
 	// get a new packet
-	copy = packet_get_4( phone, PACKET_DATA_LENGTH( packet ), PACKET_MAX_ADDRESS_LENGTH( packet ), packet->max_prefix, PACKET_MIN_SUFFIX( packet ));
-	if( ! copy ) return NULL;
+	copy = packet_get_4(phone, PACKET_DATA_LENGTH(packet), PACKET_MAX_ADDRESS_LENGTH(packet), packet->max_prefix, PACKET_MIN_SUFFIX(packet));
+	if(! copy){
+		return NULL;
+	}
 	// get addresses
-	addrlen = packet_get_addr( packet, & src, & dest );
+	addrlen = packet_get_addr(packet, &src, &dest);
 	// copy data
-	if(( packet_copy_data( copy, packet_get_data( packet ), PACKET_DATA_LENGTH( packet )) == EOK )
+	if((packet_copy_data(copy, packet_get_data(packet), PACKET_DATA_LENGTH(packet)) == EOK)
 	// copy addresses if present
-	&& (( addrlen <= 0 ) || ( packet_set_addr( copy, src, dest, addrlen ) == EOK ))){
+		&& ((addrlen <= 0) || (packet_set_addr(copy, src, dest, addrlen) == EOK))){
 		copy->order = packet->order;
 		copy->metric = packet->metric;
 		return copy;
 	}else{
-		pq_release( phone, copy->packet_id );
+		pq_release(phone, copy->packet_id);
 		return NULL;
 	}
Index: uspace/srv/net/structures/packet/packet_remote.c
===================================================================
--- uspace/srv/net/structures/packet/packet_remote.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/structures/packet/packet_remote.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -60,43 +60,45 @@
  *  @returns Other error codes as defined for the async_share_in_start() function.
  */
-int packet_return( int phone, packet_ref packet, packet_id_t packet_id, size_t size );
+int packet_return(int phone, packet_ref packet, packet_id_t packet_id, size_t size);
 
-int packet_translate( int phone, packet_ref packet, packet_id_t packet_id ){
+int packet_translate(int phone, packet_ref packet, packet_id_t packet_id){
 	ERROR_DECLARE;
 
-	ipcarg_t			size;
-	packet_t			next;
+	ipcarg_t size;
+	packet_t next;
 
-	if( ! packet ) return EINVAL;
-	* packet = pm_find( packet_id );
-	if( !( * packet )){
-		ERROR_PROPAGATE( async_req_1_1( phone, NET_PACKET_GET_SIZE, packet_id, & size ));
-		ERROR_PROPAGATE( packet_return( phone, packet, packet_id, size ));
+	if(! packet){
+		return EINVAL;
 	}
-	if(( ** packet ).next ){
-		return packet_translate( phone, & next, ( ** packet ).next );
+	*packet = pm_find(packet_id);
+	if(!(*packet)){
+		ERROR_PROPAGATE(async_req_1_1(phone, NET_PACKET_GET_SIZE, packet_id, &size));
+		ERROR_PROPAGATE(packet_return(phone, packet, packet_id, size));
+	}
+	if((** packet).next){
+		return packet_translate(phone, &next, (** packet).next);
 	}else return EOK;
 }
 
-int packet_return( int phone, packet_ref packet, packet_id_t packet_id, size_t size ){
+int packet_return(int phone, packet_ref packet, packet_id_t packet_id, size_t size){
 	ERROR_DECLARE;
 
-	aid_t		message;
-	ipc_call_t	answer;
-	ipcarg_t	result;
+	aid_t message;
+	ipc_call_t answer;
+	ipcarg_t result;
 
-	message = async_send_1( phone, NET_PACKET_GET, packet_id, & answer );
-	* packet = ( packet_t ) as_get_mappable_page( size );
-	if( ERROR_OCCURRED( async_share_in_start_0_0( phone, * packet, size ))
-	|| ERROR_OCCURRED( pm_add( * packet ))){
-		munmap( * packet, size );
-		async_wait_for( message, NULL );
+	message = async_send_1(phone, NET_PACKET_GET, packet_id, &answer);
+	*packet = (packet_t) as_get_mappable_page(size);
+	if(ERROR_OCCURRED(async_share_in_start_0_0(phone, * packet, size))
+		|| ERROR_OCCURRED(pm_add(*packet))){
+		munmap(*packet, size);
+		async_wait_for(message, NULL);
 		return ERROR_CODE;
 	}
-	async_wait_for( message, & result );
+	async_wait_for(message, &result);
 	return result;
 }
 
-packet_t packet_get_4( int phone, size_t max_content, size_t addr_len, size_t max_prefix, size_t max_suffix ){
+packet_t packet_get_4(int phone, size_t max_content, size_t addr_len, size_t max_prefix, size_t max_suffix){
 	ERROR_DECLARE;
 
@@ -105,10 +107,10 @@
 	packet_t packet;
 
-	if( ERROR_OCCURRED( async_req_4_2( phone, NET_PACKET_CREATE_4, max_content, addr_len, max_prefix, max_suffix, & packet_id, & size ))){
+	if(ERROR_OCCURRED(async_req_4_2(phone, NET_PACKET_CREATE_4, max_content, addr_len, max_prefix, max_suffix, &packet_id, &size))){
 		return NULL;
 	}
-	packet = pm_find( packet_id );
-	if( ! packet ){
-		if( ERROR_OCCURRED( packet_return( phone, & packet, packet_id, size ))){
+	packet = pm_find(packet_id);
+	if(! packet){
+		if(ERROR_OCCURRED(packet_return(phone, &packet, packet_id, size))){
 			return NULL;
 		}
@@ -117,17 +119,17 @@
 }
 
-packet_t packet_get_1( int phone, size_t content ){
+packet_t packet_get_1(int phone, size_t content){
 	ERROR_DECLARE;
 
-	ipcarg_t	packet_id;
-	ipcarg_t	size;
-	packet_t	packet;
+	ipcarg_t packet_id;
+	ipcarg_t size;
+	packet_t packet;
 
-	if( ERROR_OCCURRED( async_req_1_2( phone, NET_PACKET_CREATE_1, content, & packet_id, & size ))){
+	if(ERROR_OCCURRED(async_req_1_2(phone, NET_PACKET_CREATE_1, content, &packet_id, &size))){
 		return NULL;
 	}
-	packet = pm_find( packet_id );
-	if( ! packet ){
-		if( ERROR_OCCURRED( packet_return( phone, & packet, packet_id, size ))){
+	packet = pm_find(packet_id);
+	if(! packet){
+		if(ERROR_OCCURRED(packet_return(phone, &packet, packet_id, size))){
 			return NULL;
 		}
@@ -136,6 +138,6 @@
 }
 
-void pq_release( int phone, packet_id_t packet_id ){
-	async_msg_1( phone, NET_PACKET_RELEASE, packet_id );
+void pq_release(int phone, packet_id_t packet_id){
+	async_msg_1(phone, NET_PACKET_RELEASE, packet_id);
 }
 
Index: uspace/srv/net/structures/packet/packet_server.c
===================================================================
--- uspace/srv/net/structures/packet/packet_server.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/structures/packet/packet_server.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -76,10 +76,10 @@
 	/** Free packet queues.
 	 */
-	packet_t free[ FREE_QUEUES_COUNT ];
+	packet_t free[FREE_QUEUES_COUNT];
 	/** Packet length upper bounds of the free packet queues.
 	 *  The maximal lengths of packets in each queue in the ascending order.
 	 *  The last queue is not limited.
 	 */
-	size_t sizes[ FREE_QUEUES_COUNT ];
+	size_t sizes[FREE_QUEUES_COUNT];
 	/** Total packets allocated.
 	 */
@@ -89,10 +89,10 @@
 		.counter = 1,
 		.waiters = {
-			.prev = & ps_globals.lock.waiters,
-			.next = & ps_globals.lock.waiters,
+			.prev = &ps_globals.lock.waiters,
+			.next = &ps_globals.lock.waiters,
 		}
 	},
-	.free = { NULL, NULL, NULL, NULL, NULL, NULL, NULL },
-	.sizes = { PAGE_SIZE, PAGE_SIZE * 2, PAGE_SIZE * 4, PAGE_SIZE * 8, PAGE_SIZE * 16, PAGE_SIZE * 32, PAGE_SIZE * 64 },
+	.free = {NULL, NULL, NULL, NULL, NULL, NULL, NULL},
+	.sizes = {PAGE_SIZE, PAGE_SIZE * 2, PAGE_SIZE * 4, PAGE_SIZE * 8, PAGE_SIZE * 16, PAGE_SIZE * 32, PAGE_SIZE * 64},
 	.count = 0
 };
@@ -113,5 +113,5 @@
  *  @returns NULL if there is not enough memory left.
  */
-packet_t	packet_get( size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix );
+packet_t packet_get(size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix);
 
 /** Releases the packet queue.
@@ -120,5 +120,5 @@
  *  @returns ENOENT if there is no such packet.
  */
-int	packet_release_wrapper( packet_id_t packet_id );
+int packet_release_wrapper(packet_id_t packet_id);
 
 /** Releases the packet and returns it to the appropriate free packet queue.
@@ -126,5 +126,5 @@
  *  @param[in] packet The packet to be released.
  */
-void packet_release( packet_t packet );
+void packet_release(packet_t packet);
 
 /** Creates a&nbsp;new packet of dimensions at least as given.
@@ -138,5 +138,5 @@
  *  @returns NULL if there is not enough memory left.
  */
-packet_t	packet_create( size_t length, size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix );
+packet_t packet_create(size_t length, size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix);
 
 /** Clears and initializes the packet according to the given dimensions.
@@ -147,5 +147,5 @@
  *  @param[in] max_suffix The maximal suffix length in bytes.
  */
-void	packet_init( packet_t packet, size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix );
+void packet_init(packet_t packet, size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix);
 
 /** Shares the packet memory block.
@@ -157,134 +157,148 @@
  *  @returns Other error codes as defined for the async_share_in_finalize() function.
  */
-int packet_reply( const packet_t packet );
+int packet_reply(const packet_t packet);
 
 /*@}*/
 
-int packet_translate( int phone, packet_ref packet, packet_id_t packet_id ){
-	if( ! packet ) return EINVAL;
-	* packet = pm_find( packet_id );
-	return ( * packet ) ? EOK : ENOENT;
-}
-
-packet_t packet_get_4( int phone, size_t max_content, size_t addr_len, size_t max_prefix, size_t max_suffix ){
-	return packet_get( addr_len, max_prefix, max_content, max_suffix );
-}
-
-packet_t packet_get_1( int phone, size_t content ){
-	return packet_get( DEFAULT_ADDR_LEN, DEFAULT_PREFIX, content, DEFAULT_SUFFIX );
-}
-
-void pq_release( int phone, packet_id_t packet_id ){
-	( void ) packet_release_wrapper( packet_id );
-}
-
-int	packet_server_message( ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count ){
+int packet_translate(int phone, packet_ref packet, packet_id_t packet_id){
+	if(! packet){
+		return EINVAL;
+	}
+	*packet = pm_find(packet_id);
+	return (*packet) ? EOK : ENOENT;
+}
+
+packet_t packet_get_4(int phone, size_t max_content, size_t addr_len, size_t max_prefix, size_t max_suffix){
+	return packet_get(addr_len, max_prefix, max_content, max_suffix);
+}
+
+packet_t packet_get_1(int phone, size_t content){
+	return packet_get(DEFAULT_ADDR_LEN, DEFAULT_PREFIX, content, DEFAULT_SUFFIX);
+}
+
+void pq_release(int phone, packet_id_t packet_id){
+	(void) packet_release_wrapper(packet_id);
+}
+
+int packet_server_message(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count){
 	packet_t packet;
 
-	* answer_count = 0;
-	switch( IPC_GET_METHOD( * call )){
+	*answer_count = 0;
+	switch(IPC_GET_METHOD(*call)){
 		case IPC_M_PHONE_HUNGUP:
 			return EOK;
 		case NET_PACKET_CREATE_1:
-			packet = packet_get( DEFAULT_ADDR_LEN, DEFAULT_PREFIX, IPC_GET_CONTENT( call ), DEFAULT_SUFFIX );
-			if( ! packet ) return ENOMEM;
-			* answer_count = 2;
-			IPC_SET_ARG1( * answer, packet->packet_id );
-			IPC_SET_ARG2( * answer, packet->length );
+			packet = packet_get(DEFAULT_ADDR_LEN, DEFAULT_PREFIX, IPC_GET_CONTENT(call), DEFAULT_SUFFIX);
+			if(! packet){
+				return ENOMEM;
+			}
+			*answer_count = 2;
+			IPC_SET_ARG1(*answer, packet->packet_id);
+			IPC_SET_ARG2(*answer, packet->length);
 			return EOK;
 		case NET_PACKET_CREATE_4:
-			packet = packet_get((( DEFAULT_ADDR_LEN < IPC_GET_ADDR_LEN( call )) ? IPC_GET_ADDR_LEN( call ) : DEFAULT_ADDR_LEN ), DEFAULT_PREFIX + IPC_GET_PREFIX( call ), IPC_GET_CONTENT( call ), DEFAULT_SUFFIX + IPC_GET_SUFFIX( call ));
-			if( ! packet ) return ENOMEM;
-			* answer_count = 2;
-			IPC_SET_ARG1( * answer, packet->packet_id );
-			IPC_SET_ARG2( * answer, packet->length );
+			packet = packet_get(((DEFAULT_ADDR_LEN < IPC_GET_ADDR_LEN(call)) ? IPC_GET_ADDR_LEN(call) : DEFAULT_ADDR_LEN), DEFAULT_PREFIX + IPC_GET_PREFIX(call), IPC_GET_CONTENT(call), DEFAULT_SUFFIX + IPC_GET_SUFFIX(call));
+			if(! packet){
+				return ENOMEM;
+			}
+			*answer_count = 2;
+			IPC_SET_ARG1(*answer, packet->packet_id);
+			IPC_SET_ARG2(*answer, packet->length);
 			return EOK;
 		case NET_PACKET_GET:
-			packet = pm_find( IPC_GET_ID( call ));
-			if( ! packet_is_valid( packet )) return ENOENT;
-			return packet_reply( packet );
+			packet = pm_find(IPC_GET_ID(call));
+			if(! packet_is_valid(packet)){
+				return ENOENT;
+			}
+			return packet_reply(packet);
 		case NET_PACKET_GET_SIZE:
-			packet = pm_find( IPC_GET_ID( call ));
-			if( ! packet_is_valid( packet )) return ENOENT;
-			IPC_SET_ARG1( * answer, packet->length );
-			* answer_count = 1;
+			packet = pm_find(IPC_GET_ID(call));
+			if(! packet_is_valid(packet)){
+				return ENOENT;
+			}
+			IPC_SET_ARG1(*answer, packet->length);
+			*answer_count = 1;
 			return EOK;
 		case NET_PACKET_RELEASE:
-			return packet_release_wrapper( IPC_GET_ID( call ));
+			return packet_release_wrapper(IPC_GET_ID(call));
 	}
 	return ENOTSUP;
 }
 
-int packet_release_wrapper( packet_id_t packet_id ){
-	packet_t	packet;
-
-	packet = pm_find( packet_id );
-	if( ! packet_is_valid( packet )) return ENOENT;
-	fibril_mutex_lock( & ps_globals.lock );
-	pq_destroy( packet, packet_release );
-	fibril_mutex_unlock( & ps_globals.lock );
+int packet_release_wrapper(packet_id_t packet_id){
+	packet_t packet;
+
+	packet = pm_find(packet_id);
+	if(! packet_is_valid(packet)){
+		return ENOENT;
+	}
+	fibril_mutex_lock(&ps_globals.lock);
+	pq_destroy(packet, packet_release);
+	fibril_mutex_unlock(&ps_globals.lock);
 	return EOK;
 }
 
-void packet_release( packet_t packet ){
+void packet_release(packet_t packet){
 	int index;
 	int result;
 
 	// remove debug dump
-//	printf( "packet %d released\n", packet->packet_id );
-	for( index = 0; ( index < FREE_QUEUES_COUNT - 1 ) && ( packet->length > ps_globals.sizes[ index ] ); ++ index );
-	result = pq_add( & ps_globals.free[ index ], packet, packet->length, packet->length );
-	assert( result == EOK );
-}
-
-packet_t packet_get( size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix ){
+//	printf("packet %d released\n", packet->packet_id);
+	for(index = 0; (index < FREE_QUEUES_COUNT - 1) && (packet->length > ps_globals.sizes[index]); ++ index);
+	result = pq_add(&ps_globals.free[index], packet, packet->length, packet->length);
+	assert(result == EOK);
+}
+
+packet_t packet_get(size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix){
 	int index;
 	packet_t packet;
 	size_t length;
 
-	length = ALIGN_UP( sizeof( struct packet ) + 2 * addr_len + max_prefix + max_content + max_suffix, PAGE_SIZE );
-	fibril_mutex_lock( & ps_globals.lock );
-	for( index = 0; index < FREE_QUEUES_COUNT - 1; ++ index ){
-		if( length <= ps_globals.sizes[ index ] ){
-			packet = ps_globals.free[ index ];
-			while( packet_is_valid( packet ) && ( packet->length < length )){
-				packet = pm_find( packet->next );
-			}
-			if( packet_is_valid( packet )){
-				if( packet == ps_globals.free[ index ] ){
-					ps_globals.free[ index ] = pq_detach( packet );
+	length = ALIGN_UP(sizeof(struct packet) + 2 * addr_len + max_prefix + max_content + max_suffix, PAGE_SIZE);
+	fibril_mutex_lock(&ps_globals.lock);
+	for(index = 0; index < FREE_QUEUES_COUNT - 1; ++ index){
+		if(length <= ps_globals.sizes[index]){
+			packet = ps_globals.free[index];
+			while(packet_is_valid(packet) && (packet->length < length)){
+				packet = pm_find(packet->next);
+			}
+			if(packet_is_valid(packet)){
+				if(packet == ps_globals.free[index]){
+					ps_globals.free[index] = pq_detach(packet);
 				}else{
-					pq_detach( packet );
+					pq_detach(packet);
 				}
-				packet_init( packet, addr_len, max_prefix, max_content, max_suffix );
-				fibril_mutex_unlock( & ps_globals.lock );
+				packet_init(packet, addr_len, max_prefix, max_content, max_suffix);
+				fibril_mutex_unlock(&ps_globals.lock);
 				// remove debug dump
-//				printf( "packet %d got\n", packet->packet_id );
+//				printf("packet %d got\n", packet->packet_id);
 				return packet;
 			}
 		}
 	}
-	packet = packet_create( length, addr_len, max_prefix, max_content, max_suffix );
-	fibril_mutex_unlock( & ps_globals.lock );
+	packet = packet_create(length, addr_len, max_prefix, max_content, max_suffix);
+	fibril_mutex_unlock(&ps_globals.lock);
 	// remove debug dump
-//	printf( "packet %d created\n", packet->packet_id );
+//	printf("packet %d created\n", packet->packet_id);
 	return packet;
 }
 
-packet_t packet_create( size_t length, size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix ){
+packet_t packet_create(size_t length, size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix){
 	ERROR_DECLARE;
 
-	packet_t	packet;
+	packet_t packet;
 
 	// already locked
-	packet = ( packet_t ) mmap( NULL, length, PROTO_READ | PROTO_WRITE, MAP_SHARED | MAP_ANONYMOUS, 0, 0 );
-	if( packet == MAP_FAILED ) return NULL;
+	packet = (packet_t) mmap(NULL, length, PROTO_READ | PROTO_WRITE, MAP_SHARED | MAP_ANONYMOUS, 0, 0);
+	if(packet == MAP_FAILED){
+		return NULL;
+	}
 	++ ps_globals.count;
 	packet->packet_id = ps_globals.count;
 	packet->length = length;
-	packet_init( packet, addr_len, max_prefix, max_content, max_suffix );
+	packet_init(packet, addr_len, max_prefix, max_content, max_suffix);
 	packet->magic_value = PACKET_MAGIC_VALUE;
-	if( ERROR_OCCURRED( pm_add( packet ))){
-		munmap( packet, packet->length );
+	if(ERROR_OCCURRED(pm_add(packet))){
+		munmap(packet, packet->length);
 		return NULL;
 	}
@@ -292,7 +306,7 @@
 }
 
-void packet_init( packet_t packet, size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix ){
+void packet_init(packet_t packet, size_t addr_len, size_t max_prefix, size_t max_content, size_t max_suffix){
 	// clear the packet content
-	bzero((( void * ) packet ) + sizeof( struct packet ), packet->length - sizeof( struct packet ));
+	bzero(((void *) packet) + sizeof(struct packet), packet->length - sizeof(struct packet));
 	// clear the packet header
 	packet->order = 0;
@@ -301,5 +315,5 @@
 	packet->next = 0;
 	packet->addr_len = 0;
-	packet->src_addr = sizeof( struct packet );
+	packet->src_addr = sizeof(struct packet);
 	packet->dest_addr = packet->src_addr + addr_len;
 	packet->max_prefix = max_prefix;
@@ -309,12 +323,16 @@
 }
 
-int packet_reply( const packet_t packet ){
-	ipc_callid_t	callid;
-	size_t			size;
-
-	if( ! packet_is_valid( packet )) return EINVAL;
-	if( async_share_in_receive( & callid, & size ) <= 0 ) return EINVAL;
-	if( size != packet->length ) return ENOMEM;
-	return async_share_in_finalize( callid, packet, PROTO_READ | PROTO_WRITE );
+int packet_reply(const packet_t packet){
+	ipc_callid_t callid;
+	size_t size;
+
+	if(! packet_is_valid(packet)){
+		return EINVAL;
+	}
+	if(async_share_in_receive(&callid, &size) <= 0) return EINVAL;
+	if(size != packet->length){
+		return ENOMEM;
+	}
+	return async_share_in_finalize(callid, packet, PROTO_READ | PROTO_WRITE);
 }
 
